<div class="container">
    <div class="row">
        <div class="col-6">
            <div class="form-group">
                <label for="ruleName">Rule Name:</label>
                <input type="text" class="form-control" id="ruleName" [(ngModel)]="ruleName">
            </div>
        </div>
        <div class="col-6">
            <div class="form-group">
                <label for="usr">Select Content Types:</label>
                <p>
                    <select class="form-control" [(ngModel)]="rule.ruleContentTypeMappingDTO.contentTypeId" (change)="setcontentType($event.target)">
                        <!-- <option [value]="undefined">Select Content Type </option> -->
                        <option *ngFor="let contentType of contentTypes" [ngValue]="contentType.contentTypeInternalId">{{contentType.contentTypeName}}</option>
                    </select>
                </p>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-6">
            <label for="usr"></label>
            <div class="form-group">
                <!--<button class="btn btn-primary" (click)="showFields()">Create Rule</button>-->
            </div>
        </div>
    </div>
    <div class=" row ">
        <div class="col-12 ">
            <table class="table table-hover" *ngIf="isVisibile">
                <thead>
                    <tr>
                        <th>Field Name</th>
                        <th>Required</th>
                        <th>Translatable</th>
                        <th>Max Char</th>
                        <th>Max Occurance</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let field of allFields">
                        <td> {{field.fieldName}}</td>
                        <td>
                            <input type="checkbox" name="PPA" class="chkbox" [(ngModel)]="field.required" />
                        </td>
                        <td>
                            <input type="checkbox" name="PPA" class="chkbox" [(ngModel)]="field.translatable" />
                        </td>
                        <td style="width:20%">
                            <input type="text" class="form-control" id="usr" [(ngModel)]="field.maxChar" />
                        </td>
                        <td style="width:20%">
                            <input type="text" class="form-control" id="usr" />
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
    <div class=" row btn-group ">
        <div class="col-12 ">
            <button class="btn btn-default " (click)="goBack() ">Back</button>
            <button class="btn btn-primary " (click)="submitRule() ">Submit</button>
        </div>
    </div>
